Subject: [CDNi] Call for Adoption on draft-sopher-cdni-footprint-types-extensions

From: ALFONSO SILONIZ SANDINO <[email-masked]>
Date: Fri, 15 Oct 2021 10:46:59 +0000

Hello all,

First I would like to apologize as I am not using the original thread to reply, as for some reason, I didn´t received it in my mailbox, so now it could be considered out of date. Sorry for the inconveniences.

I consider that this RFC can be adopted, as it solves clearly identified problems. I have some comment anyway:

ISO-3166 has three parts:

  *   ISO3166-1: Codes for countries
  *   ISO3166-2: Codes for subdivisions
  *   ISO3166-3: Formerly used codes

In RFC8006 Section 7.2 defines the Footprint Types registry. In that, Codes for countries, so ISO3166-1 is named countrycode. In the draft, the equivalent is to add iso3166-2code for subdivisions. To have a consistent naming, may I suggest to use subdivisioncode instead of iso3166-2code?

Best regards,

Alfonso Silóniz

De: CDNi <[email-masked]> en nombre de Kevin Ma <[email-masked]>
Fecha: lunes, 30 de agosto de 2021, 5:26
Para: "<[email-masked]>" <[email-masked]>
Asunto: [CDNi] Call for Adoption on draft-sopher-cdni-ci-triggers-rfc8007bis

Hi All,

  As we discussed in the session at IETF 111, there are two new proposed
footprint types: one for ISO3166-2 codes and another for explicit unions
for heterogeneous footprint types.  Both seem like reasonable and useful
additions.  This is the official Call for Adoption.  If you have thoughts
or opinions, in favor or against, please comment on this thread.

  The latest version of the doc is here:
https://datatracker.ietf.org/doc/html/draft-sopher-cdni-footprint-types-extensions

  This CFA will stay open for two weeks and close on September 13, 2021.

thanx!

--  Kevin and Sanjay

________________________________

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is privileged and confidential information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição

---

From: Andrew Ryan <[email-masked]>
Date: Fri, 15 Oct 2021 09:40:44 -0400

I too would like to lend my support to this RFC.  Of particular interest to
me is the concept of the 'footprintunion', which will enable a very logical
way of encapsulating similar network identification elements into a single
footprint declaration.

On Fri, Oct 15, 2021 at 6:47 AM ALFONSO SILONIZ SANDINO <
[email-masked]> wrote:

> Hello all,
>
>
>
> First I would like to apologize as I am not using the original thread to
> reply, as for some reason, I didn´t received it in my mailbox, so now it
> could be considered out of date. Sorry for the inconveniences.
>
>
>
>    - ISO3166-1: Codes for *countries*
>    - ISO3166-2: Codes for *subdivisions*
>    - ISO3166-3: Formerly used codes
>
>
>
> In RFC8006 Section 7.2 defines the Footprint Types registry. In that,
> Codes for countries, so ISO3166-1 is named *country*code. In the draft,
> the equivalent is to add iso3166-2code for subdivisions. To have a
> consistent naming, may I suggest to use *subdivision*code instead of
> iso3166-2code?
>
>
>
>
>
> Best regards,
>
>
>
> Alfonso Silóniz
>
>
>
>
>
>
>
>
>
> *De: *CDNi <[email-masked]> en nombre de Kevin Ma <
> [email-masked]>
> *Fecha: *lunes, 30 de agosto de 2021, 5:26
> *Para: *"<[email-masked]>" <[email-masked]>
> *Asunto: *[CDNi] Call for Adoption on
> draft-sopher-cdni-ci-triggers-rfc8007bis
>
>
>
> Hi All,
>
>
>
> ------------------------------
>
> Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario,
> puede contener información privilegiada o confidencial y es para uso
> exclusivo de la persona o entidad de destino. Si no es usted. el
> destinatario indicado, queda notificado de que la lectura, utilización,
> divulgación y/o copia sin autorización puede estar prohibida en virtud de
> la legislación vigente. Si ha recibido este mensaje por error, le rogamos
> que nos lo comunique inmediatamente por esta misma vía y proceda a su
> destrucción.
>
> The information contained in this transmission is privileged and
> confidential information intended only for the use of the individual or
> entity named above. If the reader of this message is not the intended
> recipient, you are hereby notified that any dissemination, distribution or
> copying of this communication is strictly prohibited. If you have received
> this transmission in error, do not read it. Please immediately reply to the
> sender that you have received this communication in error and then delete
> it.
>
> Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário,
> pode conter informação privilegiada ou confidencial e é para uso exclusivo
> da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário
> indicado, fica notificado de que a leitura, utilização, divulgação e/ou
> cópia sem autorização pode estar proibida em virtude da legislação vigente.
> Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique
> imediatamente por esta mesma via e proceda a sua destruição
> _______________________________________________
> CDNi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cdni
>

-- 
 <https://www.limelight.com>
Andrew Ryan
Principal Architect
1.716.250.9882 <+1+716+250+9882>   |  limelight.com
<https://www.limelight.com>
 <https://www.linkedin.com/company/limelight-networks>[image:
Twitter] <https://twitter.com/llnw>
<https://www.facebook.com/LimelightNetworks>
• OWNERSHIP
• PERFORMANCE
• CLIENT OBSESSED
• FIRST TEAM
• DESIGN

---

From: Yoav Gressel <[email-masked]>
Date: Sun, 17 Oct 2021 08:51:35 +0300

Hi,

I too would like to support this RFC.
The ability to more granularly and simply describe a footprint is
crucial for CDN/Open-Caching solutions embedded with ISP networks.

regards,
  Yoav

*Yoav Gressel *     VP of Research and Development

Qwilt |+972.52.6199080 | [email-masked] | qwilt.com

On Fri, Oct 15, 2021 at 4:41 PM Andrew Ryan <andrew.ryan=
[email-masked]> wrote:

> I too would like to lend my support to this RFC.  Of particular interest
> to me is the concept of the 'footprintunion', which will enable a very
> logical way of encapsulating similar network identification elements into a
> single footprint declaration.
>
>> Esta mensagem e seus anexos se dirigem exclusivamente ao seu
>> destinatário, pode conter informação privilegiada ou confidencial e é para
>> uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o
>> destinatário indicado, fica notificado de que a leitura, utilização,
>> divulgação e/ou cópia sem autorização pode estar proibida em virtude da
>> legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos
>> o comunique imediatamente por esta mesma via e proceda a sua destruição

---

From: Kevin Ma <[email-masked]>
Date: Sun, 24 Oct 2021 23:02:21 -0400

Hi All,

  Thank you for your responses.  It looks like we have support without
objections.  If anyone else has comments, please chime in, otherwise, the
chairs will confirm with Francesca and close the CFA.

thanx!

--  Kevin and Sanjay